> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Postgres Clusters

> List Managed Postgres clusters for an organization.



## OpenAPI

````yaml /machines-api/openapi.json get /v1/postgres
openapi: 3.0.1
info:
  title: Machines API
  description: >-
    This site hosts documentation generated from the Fly.io Machines API OpenAPI
    specification. Visit our complete [Machines API
    docs](https://fly.io/docs/machines/api/) for how to get started, more
    information about each endpoint, parameter descriptions, and examples.
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.machines.dev
security: []
tags:
  - name: Apps
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/apps-resource/) for details about
      using the Apps resource.
  - name: Machines
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/machines-resource/) for details
      about using the Machines resource.
  - name: TLS Certificates
    description: >
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/certificates-resource/) for details
      about using the TLS Certificates resource.
  - name: Volumes
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/volumes-resource/) for details
      about using the Volumes resource.
  - name: Postgres Clusters
    description: >-
      Create and manage Postgres clusters, including databases, users,
      extensions, backups, and app attachments.
externalDocs:
  url: https://fly.io/docs/machines/working-with-machines/
paths:
  /v1/postgres:
    get:
      tags:
        - Postgres Clusters
      summary: List Postgres Clusters
      description: List Managed Postgres clusters for an organization.
      operationId: Postgres_list
      parameters:
        - name: org_slug
          in: query
          description: >-
            Fly Organization Slug, or 'personal' for the caller's personal
            organization
          required: true
          schema:
            type: string
        - name: include_deleted
          in: query
          description: Include deleted clusters
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/listPostgresClustersResponse'
        '400':
          description: org_slug is required and must be a string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostgresErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostgresErrorResponse'
        '404':
          description: Organization not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostgresErrorResponse'
        '422':
          description: include_deleted must be true or false
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostgresErrorResponse'
      security:
        - FlyBearerAuth: []
components:
  schemas:
    listPostgresClustersResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PostgresClusterSummary'
    PostgresErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
    PostgresClusterSummary:
      type: object
      properties:
        attached_apps:
          type: array
          description: Apps attached to the cluster.
          items:
            $ref: '#/components/schemas/PostgresAttachedApp'
        created_at:
          type: string
          description: RFC 3339 creation timestamp.
          format: date-time
        deleted_at:
          type: string
          description: RFC 3339 deletion timestamp; present for deleted clusters.
        id:
          type: string
          description: Cluster ID.
        name:
          type: string
          description: Cluster name.
        plan:
          type: string
          description: Plan slug.
          example: basic
          enum:
            - basic
            - starter
            - launch
            - scale
            - Performance
        region:
          type: string
          description: Fly region code.
          example: iad
        status:
          type: string
          description: Current lifecycle status.
          example: ready
          enum:
            - creating
            - initializing
            - ready
            - deleting
            - deleted
            - failed
    PostgresAttachedApp:
      type: object
      properties:
        name:
          type: string
          description: Attached Fly app name.
  securitySchemes:
    FlyBearerAuth:
      type: apiKey
      description: >-
        A Fly API token with access to the requested organization or resource.
        Send it as `Authorization: Bearer <Fly API token>`.
      name: Authorization
      in: header

````